Subject: Re: iproute2 mpls max labels

From: Magnus Bergroth <[email-masked]>
Date: Thu, 21 Jul 2016 21:43:07 +0200

> Roopa Prabhu <mailto:[email-masked]>
> 21 juli 2016 20:53
> I did not realize it is hardcoded to 8 in iproute2. Because kernel has
> a hard coded limit of
> 2.
> I think we need to fix it in a few places:
> a) we should move the kernel #define to a uapi header file which
> iproute2 can use
> b) there has been a general ask to bump the kernel MAX_LABELS from 2
> and I don't see
> a problem with it yet. so, we could bump it to 8.
>
> Were you planning to post patches for one or both of the above ?.
>
> I can post them too. Let me know.
I would be happy if you could post them both as I very new to the kernel
development and I'm not entirely sure how to do it in the right way.

Kindly

Magnus
> Thanks,
> Roopa